### Function

# Gimp patterns_set_popup

#### Declaration [src]

    gboolean
    gimp_patterns_set_popup (
      const gchar* pattern_callback,
      const gchar* pattern_name
    )

#### Description [src]

Sets the current pattern in a pattern selection dialog.

Sets the current pattern in a pattern selection dialog.

#### Parameters

`pattern_callback`

  Type: `const gchar*`

  The name of the callback registered for this pop-up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`pattern_name`

  Type: `const gchar*`

  The name of the pattern to set as selected.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.